/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *  Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *      +34 963862235
 *   gvsig@gva.es
 *      www.gvsig.gva.es
 *
 *    or
 *
 *   IVER T.I. S.A
 *   Salamanca 50
 *   46005 Valencia
 *   Spain
 *
 *   +34 963163400
 *   dac@iver.es
 */
package com.iver.wmsclient;

/**
 * Interfaz que define los mtodos necesarios para el funcionamiento del
 * framework.
 *
 * @author Fernando Gonzlez Corts
 */
public interface WMSVersionClient extends WMSClient {
    /**
     * Devuelve la cabecera de la query dependiente del protocolo. Un
     * driver de la versin 1.0.0 devolver WMTVER=1.0.0& mientras que un driver
     * de la version 1.1.1 devolver VERSION=1.1.1&
     * Ha de devolver la parte comn a las queries de getCapabilities y getMap
     *
     * @return String
     */
    public String getQueryHeader();

    /**
     * Obtiene las URLs para las peticiones GetMap
     *
     * @return Array con las urls para realizar las peticiones GetMap
     */
    public String[] getMapURLs();

    /**
     * A partir de un array de bytes obtenido en el servidor como una excepcin
     * propia del protocolo WMS obtenemos un mensaje descriptivo de dicha
     * excepcin
     *
     * @param bytes bytes obtenidos del servidor
     *
     * @return Descripcin contenida en dichos bytes o null si no se puede
     *         obtener
     */
    public String parseException(byte[] bytes);

    /**
     * Obtiene las URLs para las peticiones GetFeatureInfo
     *
     * @return Array con las urls para realizar las peticiones GetFeatureInfo
     */
    public String[] getInfoURLs();
}
